﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;

namespace HtmlViewerControlTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void OnShowHtml(object sender, RoutedEventArgs e)
        {
            ClearEverything();

            var container = HtmlPage.Document.GetElementById("controlContainer");
            if (container == null)
            {
                HtmlPage.Window.Alert("Could not find the container DIV!");
            }
            else
            {
                container.SetProperty("innerHTML", "<iframe style='height: 100%; width: 100%' src='http://forums.infragistics.com/forums/AddPost.aspx?ForumID=397' />");
            }
        }

        private void OnShowControl(object sender, RoutedEventArgs e)
        {
            ClearEverything();

            var grid = new Grid();
            grid.HorizontalAlignment = HorizontalAlignment.Stretch;
            grid.VerticalAlignment = VerticalAlignment.Stretch;
            grid.Background = new SolidColorBrush(Colors.Red);

            contentControl.Content = grid;
        }

        private void OnHtmlLoaded(object sender, RoutedEventArgs e)
        {
            htmlControl.HtmlCode = "<div style='height: 100%; width: 100%;' id='controlContainer'/>";
        }

        private void ClearEverything()
        {
            var container = HtmlPage.Document.GetElementById("controlContainer");
            if (container == null)
            {
                HtmlPage.Window.Alert("Could not find the container DIV!");
            }
            else
            {
                while (container.Children.Count > 0)
                {
                    var childElement = container.Children[0] as HtmlElement;
                    container.RemoveChild(childElement);
                }
            }


            contentControl.Content = null;
        }
    }
}
